package com.iamberry.wechat.core.entity.member;

import java.io.Serializable;
import java.util.Date;

public class IntegralDto implements Serializable{
	private String userName;						//用户名
	private String telNo;							//用户电话
	private Integer integralNum;					//操作数量
	private Integer integralLogsType;				//积分类型
	private String integralLogsIntroduction;		//描述
	private Integer integralLogsResType;			//记录来源类型
	private Date integralLogsCreateDate;			//创建时间
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getTelNo() {
		return telNo;
	}
	public void setTelNo(String telNo) {
		this.telNo = telNo;
	}
	public Integer getIntegralNum() {
		return integralNum;
	}
	public void setIntegralNum(Integer integralNum) {
		this.integralNum = integralNum;
	}
	public Integer getIntegralLogsType() {
		return integralLogsType;
	}
	public void setIntegralLogsType(Integer integralLogsType) {
		this.integralLogsType = integralLogsType;
	}
	public String getIntegralLogsIntroduction() {
		return integralLogsIntroduction;
	}
	public void setIntegralLogsIntroduction(String integralLogsIntroduction) {
		this.integralLogsIntroduction = integralLogsIntroduction;
	}
	public Integer getIntegralLogsResType() {
		return integralLogsResType;
	}
	public void setIntegralLogsResType(Integer integralLogsResType) {
		this.integralLogsResType = integralLogsResType;
	}
	public Date getIntegralLogsCreateDate() {
		return integralLogsCreateDate;
	}
	public void setIntegralLogsCreateDate(Date integralLogsCreateDate) {
		this.integralLogsCreateDate = integralLogsCreateDate;
	}
	@Override
	public String toString() {
		return "IntegralDto [userName=" + userName + ", telNo=" + telNo
				+ ", integralNum=" + integralNum + ", integralLogsType="
				+ integralLogsType + ", integralLogsIntroduction="
				+ integralLogsIntroduction + ", integralLogsResType="
				+ integralLogsResType + ", integralLogsCreateDate="
				+ integralLogsCreateDate + "]";
	}
	public IntegralDto(String userName, String telNo, Integer integralNum,
			Integer integralLogsType, String integralLogsIntroduction,
			Integer integralLogsResType, Date integralLogsCreateDate) {
		super();
		this.userName = userName;
		this.telNo = telNo;
		this.integralNum = integralNum;
		this.integralLogsType = integralLogsType;
		this.integralLogsIntroduction = integralLogsIntroduction;
		this.integralLogsResType = integralLogsResType;
		this.integralLogsCreateDate = integralLogsCreateDate;
	}
	public IntegralDto() {
		super();
		// TODO Auto-generated constructor stub
	}
	
	
	
}
